#include <bits/stdc++.h>

using namespace std;

int main()
{
   int n, m;
   int a,b,c;
   vector<pair<int, int>> korlatok;
   vector<tuple<int,int,int>> tesztek;
   cin >>n>>m;
   for(int i =0; i<n; i++){
    cin>>a>>b;
    korlatok.push_back({a,b});
   }
   for(int i =0; i<m; i++){
    cin>>a>>b>>c;
    tesztek.push_back(make_tuple(a,b,c));
   }
   for(int i = 0; i<m; i++){
        c=0;
    for(int j = get<0>(tesztek[i])-1; j<get<1>(tesztek[i]); j++){
        if(korlatok[j].first <= get<2>(tesztek[i]) && korlatok[j].second >= get<2>(tesztek[i]))
        c++;
    }
   cout<<c<<"\n";
   }

}